#!/bin/sh

# Author: christian.hoekstra.blogspot.com
# Since: 1.0

# ---[ Please Change ]---------------------------------------------------------
EPM_INSTANCE_NAME="epmsystem1"
EPM_JDK="jdk160_35"
EPM_ORACLE_HOME="/u01/app/Oracle/Middleware/EPMSystem11R1"
PATH="${EPM_ORACLE_HOME}/../${EPM_JDK}/jre/bin:${PATH}"
# -----------------------------------------------------------------------------

# ---[ DEBUG ]-----------------------------------------------------------------
#JAVAOPTS="-javaagent:loosejar.jar"
# -----------------------------------------------------------------------------

# ---[ Please do not edit below ]----------------------------------------------
EPM_ORACLE_INSTANCE="${EPM_ORACLE_HOME}/../user_projects/${EPM_INSTANCE_NAME}"
MW_HOME="${EPM_ORACLE_HOME}/../"
JAVAOPTS="-DEPM_ORACLE_INSTANCE=${EPM_ORACLE_INSTANCE} ${JAVAOPTS}"
# -----------------------------------------------------------------------------

# ---[ Main Class Path ]-------------------------------------------------------
CLASSPATH="./tools-epm-1.0.jar:"
# -----------------------------------------------------------------------------

# ---[ EPM Registry ]----------------------------------------------------------
# Oracle EPM Classes
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/common/jlib/11.1.2.0/registry-api.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/common/jlib/11.1.2.0/old-registry-api.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/common/SharedServices/11.1.2.0/lib/wlpool.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/common/loggers/ODL/1.0.0/lib/dms.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/common/misc/11.1.2.0/servlet-api.jar"

# Oracle ORACLE_COMMON_ Classes
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../oracle_common/modules/oracle.odl_11.1.1/ojdl.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../oracle_common/modules/oracle.owasp_11.1.1/commons-lang-2.3.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../oracle_common/modules/oracle.dms_11.1.1/dms.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../oracle_common/modules/oracle.jmx_11.1.1/jmxframework.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../oracle_common/modules/oracle.owasp_11.1.1/xercesImpl-2.9.1.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../oracle_common/modules/datadirect_4.1/wlsqlserver.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../oracle_common/modules/datadirect_4.1/wldb2.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../oracle_common/modules/oracle.pki_11.1.1/oraclepki.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../oracle_common/modules/oracle.jdbc_11.1.1/ojdbc6dms.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../oracle_common/modules/oracle.jmx_11.1.1/jmxspi.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../oracle_common/modules/oracle.webservices_11.1.1/oracle.webservices.standalone.client.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../oracle_common/soa/modules/commons-cli-1.1.jar"

# Oracle EPM Modules
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../modules/com.bea.core.apache.commons.lang_2.1.0.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../modules/javax.servlet_1.0.0.0_2-5.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../modules/javax.management.j2ee_1.0.jar"

# Oracle Weblogic Classes (Database JDBC Drivers)
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../wlserver_10.3/server/lib/ojdbc6.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../wlserver_10.3/server/lib/mysql-connector-java-commercial-5.1.17-bin.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../wlserver_10.3/server/lib/wlsqlserver.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../wlserver_10.3/server/lib/wldb2.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../wlserver_10.3/server/lib/wlsybase.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../wlserver_10.3/server/lib/wlinformix.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../wlserver_10.3/server/lib/fmwgenerictoken.jar"
# ----------------------------------------------------------------------------

# ---[ Common.Oracle ]---------------------------------------------------------
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/common/config/11.1.2.0/lib/hit-common.jar"
# -----------------------------------------------------------------------------

# ---[ Tools.manageAdmin ]-----------------------------------------------------
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/common/CSS/11.1.2.0/lib/css.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/common/loggers/ODL/1.0.0/lib/epml.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/common/config/11.1.2.0/lib/hit-config.jar"
#CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/common/config/11.1.2.0/lib/hit-common.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/common/SharedServices/11.1.2.0/lib/audit-client.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/common/SharedServices/11.1.2.0/lib/interop-sdk.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/../oracle_common/modules/oracle.xdk_11.1.0/xmlparserv2.jar"
# -----------------------------------------------------------------------------

# ---[ Tools.lcmReportManager ]------------------------------------------------
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/common/jlib/11.1.2.0/epm_j2se.jar"
# -----------------------------------------------------------------------------

# ---[ Tools.manageOpatch ]----------------------------------------------------
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/OPatch/jlib/opatch.jar"
CLASSPATH="${CLASSPATH}:${EPM_ORACLE_HOME}/oui/jlib/orai18n-collation.jar"
# -----------------------------------------------------------------------------

# --- Final Export of all variables -------------------------------------------
export EPM_ORACLE_INSTANCE MW_HOME JAVAOPTS CLASSPATH
# -----------------------------------------------------------------------------
